Bug 8267 - Overdue notices not working
Summary: Overdue notices not working
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low blocker (vote)
Assignee: Bugs List
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-18 17:54 UTC by Kyle M Hall
Modified: 2019-06-27 09:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8267 - Overdue notices not working (1.75 KB, patch)
2012-06-18 17:54 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8267 - Overdue notices not working (1.81 KB, patch)
2012-06-20 14:28 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2012-06-18 17:54:01 UTC

    
Comment 1 Kyle M Hall 2012-06-18 17:54:32 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2012-06-18 18:01:40 UTC
The variable $i was being re-used and overwriting the necessary value that was being passed to a subroutine. Renaming $i to $j fixed it. I also added an extra safety check within parse_letter that would also have prevented this bug.
Comment 3 Melia Meggs 2012-06-19 20:13:12 UTC
I am changing this from "enhancement" to "blocker."  It is a pretty important bug.  No overdue notices are going out for libraries on 3.8.1 at all (neither email nor print).
Comment 4 Julian Maurice 2012-06-20 14:28:07 UTC
Created attachment 10386 [details] [review]
[SIGNED-OFF] Bug 8267 - Overdue notices not working

Without patch:

Used letter corresponds to the number of issues in notice triggers:
1 issue => First trigger letter
2 issues => Second trigger letter
...
4 issues and more => Error: no more than 3 triggers =)

Patch fix the problem.
Comment 5 Marcel de Rooy 2012-06-20 14:35:38 UTC
Small fix, explained. Looks good to me. Passed QA
Comment 6 Paul Poulain 2012-06-20 21:16:22 UTC
Patch pushed, update the patch description with comment 2
Comment 7 Chris Cormack 2012-06-23 08:29:48 UTC
This bug is also a cogent reminder to have use warnings; and check logs.

Since this would have been warning all over the place about $i being redefined. 
Pushed to 3.8.x will be in 3.8.3